import matplotlib
matplotlib.use('Agg')
import matplotlib.pyplot as plt
import numpy as np

# Plot an example ROC curve to the 
def plot_example(image_name):
	x = [0, 0.1, 0.4, 0.55, 0.7, 0.8, 0.9, 1]
	y = [0, 0.3, 0.7, 0.85, 0.925, 0.96, 0.98, 1]

    # Compute the area under the curve with the trapezoidal rule
	area = np.trapz(y, x=x)

	fig = plt.figure()
	plt.plot(x, y, '-')
	plt.xlabel('FPR')
	plt.ylabel('TPR')
	plt.title('ROC Curve Example (AUROC = {0:.3f})'.format(area))
	plt.axis([0, 1, 0, 1])
    # Increase the image resolution to 300 dots per inch
	fig.savefig(image_name, dpi=300)

image_name = "plot_example.png"
plot_example(image_name)
